Subject: Business name(s) added?
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Fri, 10 Nov 2006 10:09:16 -0500

Mike,
I didn't see any apparent changes and/or additions for the new business names.  Are you planning on having me make those updates or were you planning on keeping that responsibility?  If you are more comfortable with handling that I understand.  However, I would be happy to take that over once it is in place; one less thing for you to think about.
Let me know how far out we are from having those businesses added.
Thanks,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]